Name:           perl-Module-Install-Contributors
Version:        0.001
Release:        4%{?dist}
Summary:        Add an x_contributors section to your META.yml
# CONTRIBUTING: CC-SA-BY
# COPYRIGHT:    Public Domain
# other files:  GPL+ or Artistic
License:        (GPL+ or Artistic) and CC-BY-SA and Public Domain
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Install-Contributors/
Source0:        http://www.cpan.org/authors/id/T/TO/TOBYINK/Module-Install-Contributors-%{version}.tar.gz
# To boostrap this package without bundling
Patch0:         Module-Install-Contributors-0.001-Build-without-bundled-Module-Package-modules.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(inc::Module::Package)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  sed
# Run-time:
# Modules from ./lib are also used from the patched Makefile.PL.
BuildRequires:  perl(:VERSION) >= 5.6.0
BuildRequires:  perl(base)
BuildRequires:  perl(Module::Install::Base)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This is a plugin for Module::Install. It adds an x_contributors section to
your META.yml file. This is an array of strings, which should normally be in
"Name <email>" format, that is passed to contributors() function in
a Makefile.PL.

%prep
%setup -q -n Module-Install-Contributors-%{version}
%patch0 -p1
# Remove bundled modules.
# And remove inc/Module/Package/Dist/RDF.pm becaus it's a Module::Package::RDF
# plug-in that depends on package transitively. Fortunatelly, the
# inc/Module/Package/Dist/RDF.pm is not good for anything so the patch makes
# not to load it.
rm -r ./inc
sed -i -e '/^inc/d' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING COPYRIGHT CREDITS README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.001-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.001-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.001-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jun 24 2016 Petr Pisar <ppisar@redhat.com> 0.001-1
- Specfile autogenerated by cpanspec 1.78.
